module wemva_struct_mod
  use  base_struct_mod
  implicit none

  type wemva_ftag 
    character(len=256) :: csou_             !!.. source wavefield
    character(len=256) :: crec_             !!.. receiver wavefield
    character(len=256) :: hsou_             !!.. source location header
    character(len=256) :: bslw_             !!.. background velocity
    character(len=256) :: bimg_             !!.. background image
    character(len=256) :: dslw_             !!.. slowess perturbation
    character(len=256) :: dimg_             !!.. image perturbation
    character(len=256) :: dspl_             !!.. basis function 
  end type

  type wemva_spln
    character(len=256) :: spln_
    type(axis)         :: axk
    type(axis)         :: ayk
    type(axis)         :: azk
  end type

end module
